
QGIS Application - Bug report #7584

spatial query tool fails to return the right selection

2013-04-11 12:14 PM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: C++ Plugins

Affected QGIS version:1.8.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 16519

Description

try the attached sample project/data

try selecting something in the "sample_clc" layer using a spatial operator (ex: overlaps) and the "sampling_plots_1999" layer.

As you can see in the attached screenshot a few features are not selected and should be.

History

#1 - 2013-04-13 01:26 PM - vinayan Parameswaran

The overlaps as per the screen-shot seem to be the correct result to me..if a feature is completely contained inside another feature, overlap is false..the

unselected items in the screenshot are completely with the polygons from other layer

#2 - 2013-04-14 09:41 AM - Giovanni Manghi

- File 31.png added

vinayan Parameswaran wrote:

The overlaps as per the screen-shot seem to be the correct result to me..if a feature is completely contained inside another feature, overlap is

false..the unselected items in the screenshot are completely with the polygons from other layer

right.

Would you mind having a look a this new screenshot? I have another doubt about the "is disjoint" operator, and why does not select that (unselected)

polygons.

#3 - 2013-04-14 10:29 AM - vinayan Parameswaran

- File spatialquery.png added

The attached screen-shot is the top left corner of sampling_plots_1999 -> Object with Fid = 18. Consider changing sample_clc_grass to a simple line type

symbology. As seen in the screen-shots, there are small gaps between the two layers. So although, it visually confused me initially, it is reporting the

correct results :)
#4 - 2013-04-14 10:36 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

Files

sample.zip 1.56 MB 2013-04-11 Giovanni Manghi

54.png 334 KB 2013-04-11 Giovanni Manghi

31.png 509 KB 2013-04-14 Giovanni Manghi

spatialquery.png 177 KB 2013-04-14 vinayan Parameswaran
